Get a list of invoices

Requires the INVOICE.VIEW permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Query parameters

customer_idstringOptional
Filter based of customer ID
statuses[]list of stringsOptional

Filter invoices based on invoice status(es)

invoice_datestringOptional

Range filter for the start_at of the first schedule in the pricing plan subscription (ISO-8601).

paidstringOptional

Filter invoices based on whether they’re paid or not (true or false)

on_holdstringOptional

Filter invoices based on whether they’re on hold or not (true or false)

pricing_plan_subscription_idstringOptional
Filter invoices by the pricing plan subscription id
include_periodsbooleanOptional

Indicates whether the response should include period and group data (true or false)

include_linesbooleanOptional

Indicates whether the response should include invoice lines (true or false)

limitintegerOptional
The amount of records shown in the list
pageintegerOptional
The page which is going to be shown
order_bystringOptional
The parameter by which the response is ordered.
order_directionstringOptional
The order direction by which the response is ordered.

Response

OK
datalist of objects
pageinteger or null
limitinteger or null
total_number_of_pagesinteger or nullDeprecated

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error